import request, { postBlob } from '@/utils/request'

export function invoiceListRetailV3(data) {
  return request({
    url: `/invoice/listRetailV3?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function invoiceListRetailV2(data) {
  return request({
    url: `/invoice/listRetailV2?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function invoiceListRetailV2Export(data, name) {
  return postBlob({
    url: '/invoice/listRetailV2/export',
    data,
    name
  })
}
